## retry 0.1.0

=== DESCRIPTION ===
Package: retry
Type: Package
Title: Repeated Evaluation
Version: 0.1.0
Authors@R: 
    c(person(given = "Randy",
             family = "Lai",
             role = c("aut", "cre"),
             email = "randy.cs.lai@gmail.com"))
Description: Provide simple mechanism to repeatedly evaluate an expression until either it succeeds or timeout exceeded. It is useful in situations that random failures could happen.
License: MIT + file LICENSE
URL: https://github.com/randy3k/retry
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.0
Suggests: testthat (>= 2.1.0), covr
Imports: rlang, later
NeedsCompilation: no
Packaged: 2020-04-23 15:05:53 UTC; randy
Author: Randy Lai [aut, cre]
Maintainer: Randy Lai <randy.cs.lai@gmail.com>
Repository: CRAN
Date/Publication: 2020-04-23 16:40:03 UTC

## retry 0.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Package: retry
 Type: Package
 Title: Repeated Evaluation
-Version: 0.1.0
+Version: 0.1.1
+Date: 2024-01-22
 Authors@R: 
     c(person(given = "Randy",
              family = "Lai",
@@ -11,13 +12,12 @@
 License: MIT + file LICENSE
 URL: https://github.com/randy3k/retry
 Encoding: UTF-8
-LazyData: true
-RoxygenNote: 7.1.0
+RoxygenNote: 7.3.0
 Suggests: testthat (>= 2.1.0), covr
 Imports: rlang, later
 NeedsCompilation: no
-Packaged: 2020-04-23 15:05:53 UTC; randy
+Packaged: 2024-01-22 23:58:37 UTC; randylai
 Author: Randy Lai [aut, cre]
 Maintainer: Randy Lai <randy.cs.lai@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-04-23 16:40:03 UTC
+Date/Publication: 2024-01-23 00:30:03 UTC

## retry 1.0.4

=== debian/changelog ===
retry (1.0.4-2) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * debian/control: migrated DH level to 13.
  * debian/tests/control:
      - Added a new test.
      - Set a previous CI test as superficial.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 16 Sep 2020 21:34:02 -0300

retry (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 20 Feb 2020 20:46:56 -0300

retry (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3.
  * Upload to unstable.
  * debian/docs: no longer needed. Removed.
  * debian/patches/010_manpage-from-upstream.patch: removed, because the
    upstream fixed the source code. Thanks!
  * debian/tests/control: updated the first test to be compliant with
    the new upstream version.
  * debian/watch: changed to get new releases from download/ instead of
    archive/.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 31 Jan 2020 22:27:43 -0300

retry (1.0.2-1) experimental; urgency=medium

  * Initial release. (Closes: #949431)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 26 Jan 2020 20:08:58 -0300

=== debian/control ===
Source: retry
Section: utils
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/minfrin/retry
Vcs-Browser: https://salsa.debian.org/debian/retry
Vcs-Git: https://salsa.debian.org/debian/retry.git

Package: retry
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Retry a command until the command succeeds
 Retry captures stdin into memory as the data is passed to the repeated
 command, and this captured stdin is then replayed should the command be
 repeated. This makes it possible to embed the retry tool into shell
 pipelines.
 .
 Retry captures stdout into memory, and if the command was successful stdout
 is passed on to stdout as normal, while if the command was repeated stdout
 is passed to stderr instead. This ensures that output is passed to stdout
 once and once only.

=== debian/tests/control ===
Test-Command: retry 2>&1 | grep -i criteria
Restrictions: superficial

Test-Command: retry --until=success true

Test-Command: retry -t 3 -d 3 -u success ls

=== debian/watch ===
version=4
https://github.com/minfrin/retry/releases /download/retry-.*/retry-(\d\S+)\.tar\.(?:bz2|gz|xz)

## retry 1.0.5

=== debian/changelog ===
retry (1.0.5-3build1~ubuntu0.24.04.1) noble; urgency=medium

  * No change rebuild for MIR promotion
    LP: #2080616

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Fri, 13 Sep 2024 10:54:57 +0200

retry (1.0.5-3) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/watch: simplified the search rule.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 22 Jan 2023 15:06:00 -0300

retry (1.0.5-2) unstable; urgency=medium

  * debian/patches/010_disable-manpage-generation.patch: fixed and updated the
    header.
  * debian/tests/control: added a new test to verify the manpage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 12 Jan 2023 16:53:59 -0300

retry (1.0.5-1) unstable; urgency=medium

  * New upstream version 1.0.5.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/010_disable-manpage-generation.patch: created to disable
    the generation of the manpage on build time.
  * debian/upstream/metadata: added Donation field.
  * debian/watch: updated the search rule to find bootstrapped tarballs.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 11 Jan 2023 13:25:57 -0300

retry (1.0.4-4) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/copyright:
      - Converted the last paragraph of the Apache-2.0 in a comment.
      - Updated packaging copyright years.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 21 Nov 2022 15:37:15 -0300

retry (1.0.4-3) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.5.1.
  * debian/copyright: updated packaging copyright years.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 23 Aug 2021 10:40:58 -0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: retry
 Section: utils
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/minfrin/retry
 Vcs-Browser: https://salsa.debian.org/debian/retry

## retry 1.0.6

=== debian/changelog ===
retry (1.0.6-1) unstable; urgency=medium

  * New upstream version 1.0.6.
  * debian/control: bumped Standards-Version to 4.7.2.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/010_disable-manpage-generation.patch: removed because the
    upstream fixed the problem. Thanks!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 12 Aug 2025 19:23:37 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: retry
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/minfrin/retry
 Vcs-Browser: https://salsa.debian.org/debian/retry

=== debian/tests/control ===
--- 
+++ 
@@ -4,3 +4,7 @@
 Test-Command: retry --until=success true
 
 Test-Command: retry -t 3 -d 3 -u success ls
+
+# Verify the manpage integrity.
+# See https://github.com/minfrin/retry/issues/12
+Test-Command: cat retry.1 | grep "try forever"

=== debian/watch ===
version=4
opts="downloadurlmangle=s/tag\/retry-(\d\S+)/download\/retry-$1\/retry-$1.tar.gz/" \
https://github.com/minfrin/retry/tags releases/tag/retry-(\d\S+)

## retry module-0.1.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = retry_module
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
